#include "SimDebug.h"

namespace DESpot
{
Debug::Debug(us flagList)
{
    enableFlags = flagList|enableFlags;
}

bool
Debug::IsEnabled(us flag)
{
    return ((enableFlags&flag)
                || (enableFlags==0x03));
}

}
